Debian Bug report logs - #566838
live-helper: clears apt cache before running chroot hooks

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Michal Suchanek <michal.suchanek@ruk.cuni.cz>

Date: Mon, 25 Jan 2010 13:42:01 UTC

Severity: normal

Found in version live-helper/2.0~a5-1

Fixed in version live-helper/2.0~a6-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hramrach@centrum.cz, Debian Live <debian-live@lists.debian.org>:
Bug#566838; Package live-helper. (Mon, 25 Jan 2010 13:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
New Bug report received and forwarded. Copy sent to hramrach@centrum.cz, Debian Live <debian-live@lists.debian.org>. (Mon, 25 Jan 2010 13:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michal Suchanek <michal.suchanek@ruk.cuni.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: clears apt cache before running chroot hooks
Date: Mon, 25 Jan 2010 14:39:57 +0100
Package: live-helper
Version: 2.0~a5-1
Severity: normal


The apt cache is cleared before running local chroot hooks.

Some packages are broken to the point that they require manual
intervention to install so I do that in a chroot hook which results in
always downloading the package.

I could resolve the issue by creating a custom repository with patched
package versions. However, in absence of such repository it is
preferable to fix the situation inside config.

Thanks

Michal


-- Package-specific info:

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  debootstrap                 1.0.10lenny1 Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  gettext-base                  0.17-4     GNU Internationalization utilities

Versions of packages live-helper suggests:
ii  dosfstools     3.0.1-1                   utilities for making and checking 
ii  fakeroot       1.11                      Gives a fake root environment
ii  genisoimage    9:1.1.10-1                Creates ISO-9660 CD-ROM filesystem
ii  grub           0.97-47lenny2             GRand Unified Bootloader (Legacy v
ii  memtest86      3.5-2.1.nogrub            thorough real-mode memory tester
ii  memtest86+     4.00-2.1                  thorough real-mode memory tester
ii  mtools         3.9.11-1                  Tools for manipulating MSDOS files
ii  parted         1.8.8.git.2008.03.24-11.1 The GNU Parted disk partition resi
ii  squashfs-tools 1:4.0-6                   Tool to create and append to squas
ii  syslinux       2:3.83+dfsg-3             utilities for the syslinux bootloa
pn  uuid-runtime   <none>                    (no description available)
pn  win32-loader   <none>                    (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#566838; Package live-helper. (Mon, 25 Jan 2010 15:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 25 Jan 2010 15:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 566838@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Michal Suchanek <michal.suchanek@ruk.cuni.cz>
Cc: 566838@bugs.debian.org
Subject: Re: Bug#566838: live-helper: clears apt cache before running chroot hooks
Date: Mon, 25 Jan 2010 15:59:08 +0100
tag 566838 pending
thanks

Michal Suchanek wrote:
> The apt cache is cleared before running local chroot hooks.

every helper is restoring/saving the cache on it's own (see
Restore_cache and Save_cache calls). and currently only those helpers
that install .debs do make use of the .deb caches.

lh_chroot_*hooks is one of those helpers that does not use the .deb
cache at all, why should it, it's not installing packages?
and it should not install packages anyway, those should be added in
packageslists.

...and now that i'm writing this, i just remember that we have example
hooks that compile kernel modules (and therefore fetch kernel headers).

so, will add it in git in a few minutes.. thanks for bringing it up ;)

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 25 Jan 2010 15:03:06 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 31 Jan 2010 13:51:04 GMT) Full text and rfc822 format available.

Notification sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
Bug acknowledged by developer. (Sun, 31 Jan 2010 13:51:04 GMT) Full text and rfc822 format available.

Message #17 received at 566838-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 566838-close@bugs.debian.org
Subject: Bug#566838: fixed in live-helper 2.0~a6-1
Date: Sun, 31 Jan 2010 13:47:36 +0000
Source: live-helper
Source-Version: 2.0~a6-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_2.0~a6-1.diff.gz
  to main/l/live-helper/live-helper_2.0~a6-1.diff.gz
live-helper_2.0~a6-1.dsc
  to main/l/live-helper/live-helper_2.0~a6-1.dsc
live-helper_2.0~a6-1_all.deb
  to main/l/live-helper/live-helper_2.0~a6-1_all.deb
live-helper_2.0~a6.orig.tar.gz
  to main/l/live-helper/live-helper_2.0~a6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566838@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 31 Jan 2010 14:20:23 +0100
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 2.0~a6-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 566838
Changes: 
 live-helper (2.0~a6-1) unstable; urgency=low
 .
   * Updating defaults for kernel packages to not include separate aufs-
     modules for squeeze, not needed anymore.
   * Recommending gnu-fdisk on powerpc.
   * Updating packages list for powerpc.
   * Adding update-alternatives call to set sun-java as default java in
     sun-java example hook.
   * Also making use of package cache during chroot_local-hooks (Closes:
     #566838).
Checksums-Sha1: 
 f7e0435193bb5c9df3e9deeed15df03f208949d3 1238 live-helper_2.0~a6-1.dsc
 a2842512714e39aac6cd42b6ca73b0d3925e7340 2235026 live-helper_2.0~a6.orig.tar.gz
 ef9166cbbd64dba37f1e383409b2fda04da41b19 30533 live-helper_2.0~a6-1.diff.gz
 105f1ec07d2ca004f9ff744ed3630d477ccff4fd 1100910 live-helper_2.0~a6-1_all.deb
Checksums-Sha256: 
 9cd47e5a5b7f1ec7dbdc239e24d9b7773f0a942d1536b75ab00096c260618e74 1238 live-helper_2.0~a6-1.dsc
 b2729290297e29d8d3308278050b6d1dc144f850a5df13fd12ef8cb04563121a 2235026 live-helper_2.0~a6.orig.tar.gz
 53fee735153be538961e0dc4a6f732c9a31236cb30e037d0c458d37664d391e3 30533 live-helper_2.0~a6-1.diff.gz
 34d8bae5b182a9e52f996339751b15cadcc6b80b7658a903c653267980aeaa42 1100910 live-helper_2.0~a6-1_all.deb
Files: 
 cbf24ee1de72c04513b398499a74199b 1238 misc optional live-helper_2.0~a6-1.dsc
 969da8e0cf5a1717fae2ca5daa38b779 2235026 misc optional live-helper_2.0~a6.orig.tar.gz
 920f01d00fc4091b64def1d1ff90671c 30533 misc optional live-helper_2.0~a6-1.diff.gz
 050fb3cf134893c49cf614557177b144 1100910 misc optional live-helper_2.0~a6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktlheEACgkQ+C5cwEsrK546FwCeN8ZHMGbDPc5DZpNsG9YNYflx
PPUAnRd0Xlao9+pRvsCSFrRGndFwmdj7
=MXBY
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Mar 2010 07:31:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:49:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.